## montage 6.0%2Bdfsg

=== Makefile ===
all:
	mkdir -p bin
	mkdir -p lib/include
	if test -d lib/src;    then (cd lib/src;    make); fi
	if test -d Montage;    then (cd Montage;  ./Configure.sh; make; make install); fi
	if test -d util;       then (cd util;       make); fi
	if test -d grid;       then (cd grid;       make); fi
	if test -d MontageLib; then (cd MontageLib; make); fi
	if test -d ancillary;  then (cd ancillary;  make; make install); fi

clean:
	mkdir -p bin
	mkdir -p lib/include
	rm -rf bin/*
	if test -d lib/src;    then (cd lib/src;    make clean); fi
	if test -d Montage;    then (cd Montage;    make clean); fi
	if test -d util;       then (cd util;       make clean); fi
	if test -d grid;       then (cd grid;       make clean); fi
	if test -d MontageLib; then (cd MontageLib; make clean); fi
	if test -d ancillary;  then (cd ancillary;  make clean); fi

=== MontageLib/Makefile ===
UNAME_S := $(shell uname -s)

SO_FLAG := 

ifeq ($(UNAME_S),Darwin)
   SO_FLAG := -undefined dynamic_lookup
endif

all: pgm lib pythonlibs

pgm: 
		(cd util;                          make)
		-(cd Add;           ./Configure.sh; make; make install)
		-(cd AddCube;       ./Configure.sh; make; make install)
		-(cd ArchiveList;   ./Configure.sh; make; make install)
		-(cd ArchiveGet;                    make; make install)
		-(cd ArchiveExec;                   make; make install)
		-(cd Background;    ./Configure.sh; make; make install)
		-(cd BestImage;                     make; make install)
		-(cd BgModel;                       make; make install)
		-(cd CoverageCheck; ./Configure.sh; make; make install)
		-(cd Diff;          ./Configure.sh; make; make install)
		-(cd Examine;       ./Configure.sh; make; make install)
		-(cd Fitplane;                      make; make install)
		-(cd FixNaN;        ./Configure.sh; make; make install)
		-(cd GetHdr;                        make; make install)
		-(cd Hdr;           ./Configure.sh; make; make install)
		-(cd Histogram;                     make; make install)
		-(cd Imgtbl;        ./Configure.sh; make; make install)
		-(cd MakeHdr;       ./Configure.sh; make; make install)
		-(cd MakeImg;       ./Configure.sh; make; make install)
		-(cd Overlaps;      ./Configure.sh; make; make install)
		-(cd Project;       ./Configure.sh; make; make install)
		-(cd ProjectCube;   ./Configure.sh; make; make install)
		-(cd ProjectPP;     ./Configure.sh; make; make install)
		-(cd ProjectQL;     ./Configure.sh; make; make install)
		-(cd PutHdr;                        make; make install)
		-(cd ShrinkCube;                    make; make install)
		-(cd Shrink;                        make; make install)
		-(cd SubCube;       ./Configure.sh; make; make install)
		-(cd Subimage;      ./Configure.sh; make; make install)
		-(cd TANHdr;                        make; make install)
		-(cd Transpose;     ./Configure.sh; make; make install)
		-(cd WWT;           ./Configure.sh; make; make install)
		-(cd Viewer;        ./Configure.sh; make; make install)
		-(cd DiffExec;                      make; make install)
		-(cd BgExec;                        make; make install)
		-(cd DiffFitExec;                   make; make install)
		-(cd FitExec;                       make; make install)
		-(cd ProjExec;      ./Configure.sh; make; make install)

lib:
		-rm -f libmontage.a libmontage.so libmontagepy.so
		-ar q  libmontage.a \
			util/checkFile.o util/checkHdr.o util/checkWCS.o \
			util/debugCheck.o util/filePath.o \
			Add/montageAdd.o \
			AddCube/montageAddCube.o \
			ArchiveList/montageArchiveList.o \
			ArchiveGet/montageArchiveGet.o \
			ArchiveExec/montageArchiveExec.o \
			Background/montageBackground.o \
			BestImage/montageBestImage.o \
			BgModel/montageBgModel.o \
			CoverageCheck/montageCoverageCheck.o \
			Diff/montageDiff.o \
			Examine/montageExamine.o \
			Fitplane/montageFitplane.o \
			FixNaN/montageFixNaN.o \
			GetHdr/montageGetHdr.o \
			Hdr/montageHdr.o \
			Histogram/montageHistogram.o \
			Imgtbl/montageImgtbl.o \
			MakeHdr/montageMakeHdr.o \
			MakeImg/montageMakeImg.o \
			Overlaps/montageOverlaps.o \
			ProjectCube/montageProjectCube.o \
			Project/montageProject.o \
			ProjectPP/montageProjectPP.o \
			ProjectQL/montageProjectQL.o \
			PutHdr/montagePutHdr.o \
			ShrinkCube/montageShrinkCube.o \
			Shrink/montageShrink.o \
			SubCube/montageSubCube.o \
			Subimage/montageSubimage.o \
			TANHdr/montageTANHdr.o \
			Transpose/montageTranspose.o \
			Viewer/montageViewer.o \
			Viewer/mViewer_graphics.o \
			Viewer/mViewer_grid.o \
			BgExec/montageBgExec.o \
			DiffExec/montageDiffExec.o \
			FitExec/montageFitExec.o \
			DiffFitExec/montageDiffFitExec.o \
			ProjExec/montageProjExec.o 
		-gcc -shared $(SO_FLAG) -o libmontage.so \
			util/checkFile.o util/checkHdr.o util/checkWCS.o \
			util/debugCheck.o util/filePath.o \
			Add/montageAdd.o \
			AddCube/montageAddCube.o \
			ArchiveList/montageArchiveList.o \
			ArchiveGet/montageArchiveGet.o \
			ArchiveExec/montageArchiveExec.o \
			Background/montageBackground.o \
			BestImage/montageBestImage.o \
			BgModel/montageBgModel.o \
			CoverageCheck/montageCoverageCheck.o \
			Diff/montageDiff.o \
			Examine/montageExamine.o \
			Fitplane/montageFitplane.o \
			FixNaN/montageFixNaN.o \
			GetHdr/montageGetHdr.o \
			Hdr/montageHdr.o \
			Histogram/montageHistogram.o \
			Imgtbl/montageImgtbl.o \
			MakeHdr/montageMakeHdr.o \
			MakeImg/montageMakeImg.o \
			Overlaps/montageOverlaps.o \
			ProjectCube/montageProjectCube.o \
			Project/montageProject.o \
			ProjectPP/montageProjectPP.o \
			ProjectQL/montageProjectQL.o \
			PutHdr/montagePutHdr.o \
			ShrinkCube/montageShrinkCube.o \
			Shrink/montageShrink.o \
			SubCube/montageSubCube.o \
			Subimage/montageSubimage.o \
			TANHdr/montageTANHdr.o \
			Transpose/montageTranspose.o \
			Viewer/montageViewer.o \
			Viewer/mViewer_graphics.o \
			Viewer/mViewer_grid.o \
			BgExec/montageBgExec.o \
			DiffExec/montageDiffExec.o \
			FitExec/montageFitExec.o \
			DiffFitExec/montageDiffFitExec.o \
			ProjExec/montageProjExec.o 

pythonlibs:
		-rm -f ../python/MontagePy/lib/*.o
		-cp util/checkFile.o util/checkHdr.o util/checkWCS.o \
			util/debugCheck.o util/filePath.o \
			Add/montageAdd.o \
			AddCube/montageAddCube.o \
			ArchiveList/montageArchiveList.o \
			ArchiveGet/montageArchiveGet.o \
			ArchiveExec/montageArchiveExec.o \
			Background/montageBackground.o \
			BestImage/montageBestImage.o \
			BgModel/montageBgModel.o \
			CoverageCheck/montageCoverageCheck.o \
			Diff/montageDiff.o \
			Examine/montageExamine.o \
			Fitplane/montageFitplane.o \
			FixNaN/montageFixNaN.o \
			GetHdr/montageGetHdr.o \
			Hdr/montageHdr.o \
			Histogram/montageHistogram.o \
			Imgtbl/montageImgtbl.o \
			MakeHdr/montageMakeHdr.o \
			MakeImg/montageMakeImg.o \
			Overlaps/montageOverlaps.o \
			ProjectCube/montageProjectCube.o \
			Project/montageProject.o \
			ProjectPP/montageProjectPP.o \
			ProjectQL/montageProjectQL.o \
			PutHdr/montagePutHdr.o \
			ShrinkCube/montageShrinkCube.o \
			Shrink/montageShrink.o \
			SubCube/montageSubCube.o \
			Subimage/montageSubimage.o \
			TANHdr/montageTANHdr.o \
			Transpose/montageTranspose.o \
			Viewer/montageViewer.o \
			Viewer/mViewer_graphics.o \
			Viewer/mViewer_grid.o \
			BgExec/montageBgExec.o \
			DiffExec/montageDiffExec.o \
			FitExec/montageFitExec.o \
			DiffFitExec/montageDiffFitExec.o \
			ProjExec/montageProjExec.o \
			../lib/src/boundaries/boundaries.o \
			../lib/src/cfitsio-3.25/buffers.o \
			../lib/src/cfitsio-3.25/cfileio.o \
			../lib/src/cfitsio-3.25/checksum.o \
			../lib/src/cfitsio-3.25/drvrfile.o \
			../lib/src/cfitsio-3.25/drvrgsiftp.o \
			../lib/src/cfitsio-3.25/drvrmem.o \
			../lib/src/cfitsio-3.25/drvrnet.o \
			../lib/src/cfitsio-3.25/drvrsmem.o \
			../lib/src/cfitsio-3.25/editcol.o \
			../lib/src/cfitsio-3.25/edithdu.o \
			../lib/src/cfitsio-3.25/eval_f.o \
			../lib/src/cfitsio-3.25/eval_l.o \
			../lib/src/cfitsio-3.25/eval_y.o \
			../lib/src/cfitsio-3.25/f77_wrap1.o \
			../lib/src/cfitsio-3.25/f77_wrap2.o \
			../lib/src/cfitsio-3.25/f77_wrap3.o \
			../lib/src/cfitsio-3.25/f77_wrap4.o \
			../lib/src/cfitsio-3.25/fitscore.o \
			../lib/src/cfitsio-3.25/fits_hcompress.o \
			../lib/src/cfitsio-3.25/fits_hdecompress.o \
			../lib/src/cfitsio-3.25/getcolb.o \
			../lib/src/cfitsio-3.25/getcold.o \
			../lib/src/cfitsio-3.25/getcole.o \
			../lib/src/cfitsio-3.25/getcoli.o \
			../lib/src/cfitsio-3.25/getcolj.o \
			../lib/src/cfitsio-3.25/getcolk.o \
			../lib/src/cfitsio-3.25/getcoll.o \
			../lib/src/cfitsio-3.25/getcol.o \
			../lib/src/cfitsio-3.25/getcolsb.o \
			../lib/src/cfitsio-3.25/getcols.o \
			../lib/src/cfitsio-3.25/getcolui.o \
			../lib/src/cfitsio-3.25/getcoluj.o \
			../lib/src/cfitsio-3.25/getcoluk.o \
			../lib/src/cfitsio-3.25/getkey.o \
			../lib/src/cfitsio-3.25/group.o \
			../lib/src/cfitsio-3.25/grparser.o \
			../lib/src/cfitsio-3.25/histo.o \
			../lib/src/cfitsio-3.25/imcompress.o \
			../lib/src/cfitsio-3.25/iraffits.o \
			../lib/src/cfitsio-3.25/modkey.o \
			../lib/src/cfitsio-3.25/pliocomp.o \
			../lib/src/cfitsio-3.25/putcolb.o \
			../lib/src/cfitsio-3.25/putcold.o \
			../lib/src/cfitsio-3.25/putcole.o \
			../lib/src/cfitsio-3.25/putcoli.o \
			../lib/src/cfitsio-3.25/putcolj.o \
			../lib/src/cfitsio-3.25/putcolk.o \
			../lib/src/cfitsio-3.25/putcoll.o \
			../lib/src/cfitsio-3.25/putcol.o \
			../lib/src/cfitsio-3.25/putcolsb.o \
			../lib/src/cfitsio-3.25/putcols.o \
			../lib/src/cfitsio-3.25/putcolui.o \
			../lib/src/cfitsio-3.25/putcoluj.o \
			../lib/src/cfitsio-3.25/putcoluk.o \
			../lib/src/cfitsio-3.25/putcolu.o \
			../lib/src/cfitsio-3.25/putkey.o \
			../lib/src/cfitsio-3.25/quantize.o \
			../lib/src/cfitsio-3.25/region.o \
			../lib/src/cfitsio-3.25/ricecomp.o \
			../lib/src/cfitsio-3.25/scalnull.o \
			../lib/src/cfitsio-3.25/swapproc.o \
			../lib/src/cfitsio-3.25/wcssub.o \
			../lib/src/cfitsio-3.25/wcsutil.o \
			../lib/src/cmd/cmd.o \
			../lib/src/coord/ccalc.o \
			../lib/src/coord/computeFKCorrections.o \
			../lib/src/coord/convertBesselianJulian.o \
			../lib/src/coord/convertCoordinates.o \
			../lib/src/coord/convertEclEqu.o \
			../lib/src/coord/convertEquGal.o \
			../lib/src/coord/convertGalSgal.o \
			../lib/src/coord/decimalDegreeToSex.o \
			../lib/src/coord/parseCoordinateString.o \
			../lib/src/coord/precessBesselian.o \
			../lib/src/coord/precessJulian.o \
			../lib/src/coord/sexToDecimalDegree.o \
			../lib/src/jpeg-8b/jaricom.o \
			../lib/src/jpeg-8b/jcapimin.o \
			../lib/src/jpeg-8b/jcapistd.o \
			../lib/src/jpeg-8b/jcarith.o \
			../lib/src/jpeg-8b/jccoefct.o \
			../lib/src/jpeg-8b/jccolor.o \
			../lib/src/jpeg-8b/jcdctmgr.o \
			../lib/src/jpeg-8b/jchuff.o \
			../lib/src/jpeg-8b/jcinit.o \
			../lib/src/jpeg-8b/jcmainct.o \
			../lib/src/jpeg-8b/jcmarker.o \
			../lib/src/jpeg-8b/jcmaster.o \
			../lib/src/jpeg-8b/jcomapi.o \
			../lib/src/jpeg-8b/jcparam.o \
			../lib/src/jpeg-8b/jcprepct.o \
			../lib/src/jpeg-8b/jcsample.o \
			../lib/src/jpeg-8b/jctrans.o \
			../lib/src/jpeg-8b/jdapimin.o \
			../lib/src/jpeg-8b/jdapistd.o \
			../lib/src/jpeg-8b/jdarith.o \
			../lib/src/jpeg-8b/jdatadst.o \
			../lib/src/jpeg-8b/jdatasrc.o \
			../lib/src/jpeg-8b/jdcoefct.o \
			../lib/src/jpeg-8b/jdcolor.o \
			../lib/src/jpeg-8b/jddctmgr.o \
			../lib/src/jpeg-8b/jdhuff.o \
			../lib/src/jpeg-8b/jdinput.o \
			../lib/src/jpeg-8b/jdmainct.o \
			../lib/src/jpeg-8b/jdmarker.o \
			../lib/src/jpeg-8b/jdmaster.o \
			../lib/src/jpeg-8b/jdmerge.o \
			../lib/src/jpeg-8b/jdpostct.o \
			../lib/src/jpeg-8b/jdsample.o \
			../lib/src/jpeg-8b/jdtrans.o \
			../lib/src/jpeg-8b/jerror.o \
			../lib/src/jpeg-8b/jfdctflt.o \
			../lib/src/jpeg-8b/jfdctfst.o \
			../lib/src/jpeg-8b/jfdctint.o \
			../lib/src/jpeg-8b/jidctflt.o \
			../lib/src/jpeg-8b/jidctfst.o \
			../lib/src/jpeg-8b/jidctint.o \
			../lib/src/jpeg-8b/jmemmgr.o \
			../lib/src/jpeg-8b/jmemnobs.o \
			../lib/src/jpeg-8b/jquant1.o \
			../lib/src/jpeg-8b/jquant2.o \
			../lib/src/jpeg-8b/jutils.o \
			../lib/src/json/jsonlib.o \
			../lib/src/lodepng_20140823/lodepng.o \
			../lib/src/mtbl/mtbl.o \
			../lib/src/pixbounds/pixbounds.o \
			../lib/src/two_plane_v1.1/initdistdata.o \
			../lib/src/two_plane_v1.1/redefine_pointing.o \
			../lib/src/two_plane_v1.1/two_plane.o \
			../lib/src/two_plane_v1.1/undistort.o \
			../lib/src/wcssubs3.9.0_montage/cel.o \
			../lib/src/wcssubs3.9.0_montage/dateutil.o \
			../lib/src/wcssubs3.9.0_montage/dsspos.o \
			../lib/src/wcssubs3.9.0_montage/fileutil.o \
			../lib/src/wcssubs3.9.0_montage/fitsfile.o \
			../lib/src/wcssubs3.9.0_montage/hget.o \
			../lib/src/wcssubs3.9.0_montage/hput.o \
			../lib/src/wcssubs3.9.0_montage/iget.o \
			../lib/src/wcssubs3.9.0_montage/imhfile.o \
			../lib/src/wcssubs3.9.0_montage/imio.o \
			../lib/src/wcssubs3.9.0_montage/lin.o \

=== grid/Makefile ===
all:
	(cd Pegasus; ./Configure.sh; make; make install)
	(cd Globus/ExecTG; ./Configure.sh; make; make install)
	(cd Globus/NotifyTG; ./Configure.sh; make; make install)

clean:
	(cd Pegasus; make clean)
	(cd Globus/ExecTG; make clean)
	(cd Globus/NotifyTG; make clean)

=== MontageLib/AddCube/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mAddCube:		mAddCube.o montageAddCube.o
					$(CC) -o mAddCube mAddCube.o montageAddCube.o ../util/filePath.o ../util/debugCheck.o ../util/checkHdr.o \
					../util/checkWCS.o $(LIBS)

install:
		cp mAddCube ../../bin

clean:
		rm -f mAddCube *.o

=== MontageLib/Background/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lmtbl -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mBackground:	mBackground.o montageBackground.o
			$(CC) -o mBackground mBackground.o montageBackground.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mBackground ../../bin

clean:
		rm -f mBackground *.o

=== MontageLib/CoverageCheck/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lboundaries -lmtbl -lcoord -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mCoverageCheck:	mCoverageCheck.o montageCoverageCheck.o
						$(CC) -o mCoverageCheck mCoverageCheck.o montageCoverageCheck.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mCoverageCheck ../../bin

clean:
		rm -f mCoverageCheck *.o

=== MontageLib/Diff/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mDiff:	mDiff.o montageDiff.o
			$(CC) -o mDiff mDiff.o montageDiff.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mDiff ../../bin

clean:
		rm -f mDiff *.o

=== MontageLib/Examine/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc -std=c99 -fPIC -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99
CFLAGS =	-g -I. -I.. -I../../lib/include -Wall
LIBS   =	-L../../lib -lwcs -lcfitsio -lcoord -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mExamine:	mExamine.o montageExamine.o
		$(CC) -o mExamine mExamine.o montageExamine.o \
		../util/checkHdr.o   \
		../util/checkWCS.o   \
		$(LIBS)

install:
		cp mExamine ../../bin

clean:
		rm -f mExamine *.o

=== MontageLib/Fitplane/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lpixbounds -lwcs -lmtbl -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mFitplane:		mFitplane.o montageFitplane.o
		$(CC) -o mFitplane mFitplane.o montageFitplane.o ../util/debugCheck.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mFitplane ../../bin

clean:
		rm -f mFitplane *.o

=== MontageLib/GetHdr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwww -lwcs -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mGetHdr:		mGetHdr.o montageGetHdr.o
		$(CC) -o mGetHdr mGetHdr.o montageGetHdr.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mGetHdr ../../bin

clean:
		rm -f mGetHdr *.o

=== MontageLib/Hdr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	cc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC
CFLAGS =	-g -I. -I.. -I../../lib/include -Wall
LIBS   =	-L../../lib -lwcs -lcfitsio -lcoord -lmtbl \
		-lboundaries -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mHdr:	mHdr.o montageHdr.o
		$(CC) -o mHdr mHdr.o montageHdr.o $(LIBS)

install:
		cp mHdr ../../bin

clean:
		rm -f mHdr *.o

=== MontageLib/Project/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lcoord -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mProject:	mProject.o montageProject.o
				$(CC) -o mProject mProject.o montageProject.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mProject ../../bin

clean:
		rm -f mProject *.o

=== debian/changelog ===
montage (6.0+dfsg-7) unstable; urgency=medium

  * Add -fcommon to CFLAGS (Closes: #957558)

 -- Ole Streicher <olebole@debian.org>  Fri, 31 Jul 2020 15:04:36 +0200

montage (6.0+dfsg-6) unstable; urgency=medium

  * Add GNU freefont license

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Jan 2019 11:24:25 +0100

montage (6.0+dfsg-5) unstable; urgency=low

  * Fix FTBFS on GNU HURD
  * Push Standards-Version to 4.3.0. No changes needed
  * Push Standards-Version to 12.
  * Update/complete d/copyright
  * Include correct wcs.h from wcstools
  * Fix CFLAGS in lib/src/*/Makefile
  * Add Python 3 package

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Jan 2019 21:55:07 +0100

montage (6.0+dfsg-4) unstable; urgency=medium

  * Drop outdated closefitsfile patch
  * Fix more CC/CFLAGS propagation issues, provided by Helmut Grone
    (Closes: #915263)
  * Initialize mxcntr in montageBgExec. Should fix CI failures of
    montage-wrapper.

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Dec 2018 22:22:52 +0100

montage (6.0+dfsg-3) unstable; urgency=medium

  * Try to trap all errors in Makefiles (Closes: #915163)

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Dec 2018 09:47:52 +0100

montage (6.0+dfsg-2) unstable; urgency=medium

  * Trap errors in main Makefile (Closes: #915163)

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Dec 2018 14:38:55 +0100

montage (6.0+dfsg-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 6.0+dfsg. Rediff patches
  * New build dependency libbz2-dev
  * Push Standards-Version to 4.2.1. No changes needed.
  * Push compat to 11
  * Remove tools that are not built anymore
  * Use https for copyright format URL

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Nov 2018 20:32:34 +0100

## montage 6.0+dfsg

=== ancillary/Makefile ===
HPXcvt:		HPXcvt.o
				gcc -std=gnu99 -o HPXcvt HPXcvt.o -L../lib -lcfitsio -lm

HPXcvt.o:	HPXcvt.c
				gcc -std=gnu99 -g -O2 -I../lib/include -c -o HPXcvt.o HPXcvt.c

install:
				cp HPXcvt ../bin

clean:
				rm -f HPXcvt *.o

=== util/Makefile ===
all:
	-(cd Calibrate; make; make install)
	-(cd CatMap; ./Configure.sh; make; make install)
	-(cd CatSearch; make; make install)
	-(cd Exec; ./Configure.sh; make; make install)
	-(cd MovingTarget; ./Configure.sh; make; make install)
	-(cd Pad; ./Configure.sh; make; make install)
	-(cd Pix2Coord; ./Configure.sh; make; make install)
	-(cd Rotate; ./Configure.sh; make; make install)
	-(cd Search; ./Configure.sh; make; make install)
	-(cd ShrinkHdr; ./Configure.sh; make; make install)
	-(cd TblExec; make; make install)


clean:
	-(cd Calibrate; make clean)
	-(cd CatMap; make clean)
	-(cd CatSearch; make clean)
	-(cd Exec; make clean)
	-(cd MovingTarget; make clean)
	-(cd Pad; make clean)
	-(cd Pix2Coord; make clean)
	-(cd Rotate; make clean)
	-(cd Search; make clean)
	-(cd ShrinkHdr; make clean)
	-(cd TblExec; make clean)

=== MontageLib/Add/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mAdd:		mAdd.o montageAdd.o
		$(CC) -o mAdd mAdd.o montageAdd.o ../util/filePath.o ../util/debugCheck.o ../util/checkHdr.o \
		../util/checkWCS.o $(LIBS)

install:
		cp mAdd ../../bin

clean:
		rm -f mAdd *.o

=== MontageLib/ArchiveGet/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -fPIC
LIBS   =	 -L../../lib -lbz2

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mArchiveGet:	mArchiveGet.o montageArchiveGet.o
		$(CC) -o mArchiveGet mArchiveGet.o montageArchiveGet.o $(LIBS)

install:
		cp mArchiveGet ../../bin

clean:
		rm -f mArchiveGet *.o

=== MontageLib/BgExec/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mBgExec:		mBgExec.o montageBgExec.o
		$(CC) -o mBgExec mBgExec.o montageBgExec.o ../Background/montageBackground.o \
                       ../util/checkHdr.o ../util/checkWCS.o ../util/filePath.o $(LIBS)

install:
		cp mBgExec ../../bin

clean:
		rm -f mBgExec *.o

=== MontageLib/Imgtbl/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lcoord -lmtbl -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mImgtbl:		mImgtbl.o montageImgtbl.o
		$(CC) -o mImgtbl mImgtbl.o montageImgtbl.o ../util/checkWCS.o $(LIBS)

install:
		cp mImgtbl ../../bin

clean:
		rm -f mImgtbl *.o

=== MontageLib/MakeHdr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lboundaries -lmtbl -lcoord -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mMakeHdr:	mMakeHdr.o montageMakeHdr.o
				$(CC) -o mMakeHdr mMakeHdr.o montageMakeHdr.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mMakeHdr ../../bin

clean:
		rm -f mMakeHdr *.o

=== MontageLib/Overlaps/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lcoord -lwcs -lmtbl -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mOverlaps:	mOverlaps.o montageOverlaps.o
				$(CC) -o mOverlaps mOverlaps.o montageOverlaps.o ../util/debugCheck.o ../util/checkWCS.o $(LIBS)

install:
		cp mOverlaps ../../bin

clean:
		rm -f mOverlaps *.o

=== MontageLib/SubCube/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lcoord -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mSubCube:	mSubCube.o montageSubCube.o
				$(CC) -o mSubCube mSubCube.o montageSubCube.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mSubCube ../../bin

clean:
		rm -f mSubCube *.o

=== MontageLib/Subimage/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lcoord -lwcs -lcfitsio -lnsl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mSubimage:	mSubimage.o montageSubimage.o
			$(CC) -o mSubimage mSubimage.o montageSubimage.o ../util/debugCheck.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mSubimage ../../bin

clean:
		rm -f mSubimage *.o

=== MontageLib/TANHdr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mTANHdr:		mTANHdr.o montageTANHdr.o
		$(CC) -o mTANHdr mTANHdr.o montageTANHdr.o ../util/checkHdr.o ../util/checkWCS.o ../util/checkFile.o $(LIBS)

install:
		cp mTANHdr ../../bin

clean:
		rm -f mTANHdr *.o

=== lib/src/Makefile ===
all:
	(cd bzip2-1.0.6; make; cp libbz2.a ../..; cp bzlib.h ../../include)
	(cd cfitsio-3.25; ./configure; make; cp libcfitsio.a ../..; cp *.h ../../include)
	(cd cmd; make; make install)
	(cd coord; make; make install)
	(cd mtbl; make; make install)
	(cd svc; make; make install)
	(cd json; make; make install)
	(cd boundaries; make; make install)
	(cd pixbounds; make; make install)
	(cd www; make; make install)
	(cd wcssubs3.9.0_montage; make; cp libwcs.a ../..; cp *.h ../../include)
	(cd two_plane_v1.1; make; make install)
	(cd lodepng_20140823; make; make install)
	(cd jpeg-8b; ./configure --with-pic; make; cp .libs/libjpeg.a ../..; cp jpeglib.h jconfig.h jmorecfg.h ../../include)
	(cd freetype-2.9.1; ./configure --prefix=`pwd`/../../freetype --without-png --without-zlib; make; make install)
	(cd ..; ranlib *.a)
	chmod 644 ../include/*.h

clean:
	rm -rf ../include/* ../freetype ../*.a
	(cd bzip2-1.0.6; make clean)
	(cd cfitsio-3.25; make clean; rm -rf config.log config.cache config.status lib)
	(cd cmd; make clean)
	(cd coord; make clean)
	(cd mtbl; make clean)
	(cd svc; make clean)
	(cd json; make clean)
	(cd boundaries; make clean)
	(cd www; make clean)
	(cd pixbounds; make clean)
	(cd www; make clean)
	(cd wcssubs3.9.0_montage; make clean)
	(cd two_plane_v1.1; make clean)
	(cd lodepng_20140823; make clean)
	(cd jpeg-8b; make clean)
	(cd freetype-2.9.1; make clean; rm -rf objs/libfreetype.la  objs/.libs)

=== debian/control ===
Source: montage
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: cython3,
               debhelper (>= 12),
               dh-python,
               libbz2-dev,
               libcfitsio-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libwcstools-dev,
               python3-all-dev,
               python3-jinja2,
               python3-setuptools
Standards-Version: 4.3.0
Homepage: http://montage.ipac.caltech.edu/
Vcs-Browser: https://salsa.debian.org/debian-astro-team/montage
Vcs-Git: https://salsa.debian.org/debian-astro-team/montage.git

Package: montage
Architecture: any
Depends: fonts-freefont-ttf, ${misc:Depends}, ${shlibs:Depends}
Description: Toolkit for assembling FITS images into mosaics
 Montage is a toolkit for assembling astronomical images into custom mosaics.
 .
 It uses algorithms that preserve the calibration and positional (astrometric)
 fidelity of the input images to deliver mosaics that meet user-specified
 parameters of projection, coordinates, and spatial scale. It supports all
 projections and coordinate systems in use in astronomy.
 .
 It contains independent modules for analyzing the geometry of images on the
 sky, and for creating and managing mosaics; these modules are powerful tools
 in their own right and have applicability outside mosaic production, in areas
 such as data validation.

Package: montage-gridtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: htcondor, montage, pegasus-wms
Description: Create files to run montage on the grid
 Montage is a toolkit for assembling astronomical images into custom mosaics.
 .
 This package contains modules that can generate a Directed Acyclic Graph
 (DAG) representation of the mosaicking process for a set of on-line surveys
 (e.g., 2MASS). This information is fed to the Pegasus software from ISI (the
 Information Sciences Institute), which produces processing plans for Condor
 (or Condor-G on the Teragrid).
 .
 These modules should be considered prototypes: they have been used
 extensively but have not been subject to the same rigorous testing to which
 the core modules have been subjected. Users should contact Montage
 (montage@ipac.caltech.edu) before employing them to verify limitations in
 their use and changes in the interfaces.

Package: python3-montagepy
Architecture: any
Section: python
Depends: fonts-freefont-ttf,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python toolkit for assembling FITS images into mosaics
 MontagePy is a toolkit for assembling astronomical images into custom mosaics.
 .
 It uses algorithms that preserve the calibration and positional (astrometric)
 fidelity of the input images to deliver mosaics that meet user-specified
 parameters of projection, coordinates, and spatial scale. It supports all
 projections and coordinate systems in use in astronomy.
 .
 It contains independent modules for analyzing the geometry of images on the
 sky, and for creating and managing mosaics; these modules are powerful tools
 in their own right and have applicability outside mosaic production, in areas
 such as data validation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_SYSTEM = distutils
export PYBUILD_NAME = montagepy
export PYBUILD_BEFORE_CONFIGURE = python3 parse.py

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure
	ln -sf setup_manylinux.py python/MontagePy/setup.py
	dh_auto_configure -Spybuild -D python/MontagePy

override_dh_auto_build:
	mkdir -p lib/include bin
	dh_auto_build
	dh_auto_build -Spybuild -D python/MontagePy

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Spybuild -D python/MontagePy

override_dh_installchangelogs:
	dh_installchangelogs ChangeHistory

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://montage.ipac.caltech.edu/docs/download2.html .*/Montage_v(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## montage 6.1%2Bdfsg

=== Makefile ===
all:
	mkdir -p bin
	mkdir -p lib/include
	test ! -d lib/src    || (cd lib/src                   && $(MAKE))
	test ! -d Montage    || (cd Montage && ./Configure.sh && $(MAKE) && $(MAKE) install)
	test ! -d util       || (cd util                      && $(MAKE))
	test ! -d grid       || (cd grid                      && $(MAKE))
	test ! -d MontageLib || (cd MontageLib                && $(MAKE))
	test ! -d ancillary  || (cd ancillary                 && $(MAKE) && $(MAKE) install)

clean:
	mkdir -p bin
	mkdir -p lib/include
	rm -rf bin/*
	test ! -d lib/src          || (cd lib/src &&    $(MAKE) clean)
	test ! -e Montage/Makefile || (cd Montage &&    $(MAKE) clean)
	test ! -d util             || (cd util &&       $(MAKE) clean)
	test ! -d grid             || (cd grid &&       $(MAKE) clean)
	test ! -d MontageLib       || (cd MontageLib && $(MAKE) clean)
	test ! -d ancillary        || (cd ancillary &&  $(MAKE) clean)

=== MontageLib/Makefile ===
--- 
+++ 
@@ -9,49 +9,49 @@
 all: pgm lib pythonlibs
 
 pgm: 
-		(cd util;                          make)
-		-(cd Add;           ./Configure.sh; make; make install)
-		-(cd AddCube;       ./Configure.sh; make; make install)
-		-(cd ArchiveList;   ./Configure.sh; make; make install)
-		-(cd ArchiveGet;                    make; make install)
-		-(cd ArchiveExec;                   make; make install)
-		-(cd Background;    ./Configure.sh; make; make install)
-		-(cd BestImage;                     make; make install)
-		-(cd BgModel;                       make; make install)
-		-(cd CoverageCheck; ./Configure.sh; make; make install)
-		-(cd Diff;          ./Configure.sh; make; make install)
-		-(cd Examine;       ./Configure.sh; make; make install)
-		-(cd Fitplane;                      make; make install)
-		-(cd FixNaN;        ./Configure.sh; make; make install)
-		-(cd GetHdr;                        make; make install)
-		-(cd Hdr;           ./Configure.sh; make; make install)
-		-(cd Histogram;                     make; make install)
-		-(cd Imgtbl;        ./Configure.sh; make; make install)
-		-(cd MakeHdr;       ./Configure.sh; make; make install)
-		-(cd MakeImg;       ./Configure.sh; make; make install)
-		-(cd Overlaps;      ./Configure.sh; make; make install)
-		-(cd Project;       ./Configure.sh; make; make install)
-		-(cd ProjectCube;   ./Configure.sh; make; make install)
-		-(cd ProjectPP;     ./Configure.sh; make; make install)
-		-(cd ProjectQL;     ./Configure.sh; make; make install)
-		-(cd PutHdr;                        make; make install)
-		-(cd ShrinkCube;                    make; make install)
-		-(cd Shrink;                        make; make install)
-		-(cd SubCube;       ./Configure.sh; make; make install)
-		-(cd Subimage;      ./Configure.sh; make; make install)
-		-(cd TANHdr;                        make; make install)
-		-(cd Transpose;     ./Configure.sh; make; make install)
-		-(cd WWT;           ./Configure.sh; make; make install)
-		-(cd Viewer;        ./Configure.sh; make; make install)
-		-(cd DiffExec;                      make; make install)
-		-(cd BgExec;                        make; make install)
-		-(cd DiffFitExec;                   make; make install)
-		-(cd FitExec;                       make; make install)
-		-(cd ProjExec;      ./Configure.sh; make; make install)
+		(cd util          &&                   $(MAKE))
+		(cd Add           && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd AddCube       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ArchiveList   && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ArchiveGet    &&                   $(MAKE) && $(MAKE) install)
+		(cd ArchiveExec   &&                   $(MAKE) && $(MAKE) install)
+		(cd Background    && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd BestImage     &&                   $(MAKE) && $(MAKE) install)
+		(cd BgModel       &&                   $(MAKE) && $(MAKE) install)
+		(cd CoverageCheck && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Diff          && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Examine       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Fitplane      &&                   $(MAKE) && $(MAKE) install)
+		(cd FixNaN        && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd GetHdr        &&                   $(MAKE) && $(MAKE) install)
+		(cd Hdr           && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Histogram     &&                   $(MAKE) && $(MAKE) install)
+		(cd Imgtbl        && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd MakeHdr       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd MakeImg       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Overlaps      && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Project       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ProjectCube   && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ProjectPP     && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ProjectQL     && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd PutHdr        &&                   $(MAKE) && $(MAKE) install)
+		(cd ShrinkCube    &&                   $(MAKE) && $(MAKE) install)
+		(cd Shrink        &&                   $(MAKE) && $(MAKE) install)
+		(cd SubCube       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Subimage      && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd TANHdr        &&                   $(MAKE) && $(MAKE) install)
+		(cd Transpose     && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd WWT           && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Viewer        && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd DiffExec      &&                   $(MAKE) && $(MAKE) install)
+		(cd BgExec        &&                   $(MAKE) && $(MAKE) install)
+		(cd DiffFitExec   &&                   $(MAKE) && $(MAKE) install)
+		(cd FitExec       &&                   $(MAKE) && $(MAKE) install)
+		(cd ProjExec      &&                   $(MAKE) && $(MAKE) install)
 
 lib:
-		-rm -f libmontage.a libmontage.so libmontagepy.so
-		-ar q  libmontage.a \
+		rm -f libmontage.a libmontage.so libmontagepy.so
+		ar q  libmontage.a \
 			util/checkFile.o util/checkHdr.o util/checkWCS.o \
 			util/debugCheck.o util/filePath.o \
 			Add/montageAdd.o \
@@ -93,7 +93,7 @@
 			FitExec/montageFitExec.o \
 			DiffFitExec/montageDiffFitExec.o \
 			ProjExec/montageProjExec.o 
-		-gcc -shared $(SO_FLAG) -o libmontage.so \
+		gcc -shared $(SO_FLAG) -o libmontage.so \
 			util/checkFile.o util/checkHdr.o util/checkWCS.o \
 			util/debugCheck.o util/filePath.o \
 			Add/montageAdd.o \
@@ -137,8 +137,9 @@
 			ProjExec/montageProjExec.o 
 
 pythonlibs:
-		-rm -f ../python/MontagePy/lib/*.o
-		-cp util/checkFile.o util/checkHdr.o util/checkWCS.o \
+		rm -f ../python/MontagePy/lib/*.o
+		mkdir -p ../python/MontagePy/lib
+		cp util/checkFile.o util/checkHdr.o util/checkWCS.o \
 			util/debugCheck.o util/filePath.o \
 			Add/montageAdd.o \
 			AddCube/montageAddCube.o \
@@ -311,13 +312,3 @@
 			../lib/src/two_plane_v1.1/two_plane.o \
 			../lib/src/two_plane_v1.1/undistort.o \
 			../lib/src/wcssubs3.9.0_montage/cel.o \
-			../lib/src/wcssubs3.9.0_montage/dateutil.o \
-			../lib/src/wcssubs3.9.0_montage/dsspos.o \
-			../lib/src/wcssubs3.9.0_montage/fileutil.o \
-			../lib/src/wcssubs3.9.0_montage/fitsfile.o \
-			../lib/src/wcssubs3.9.0_montage/hget.o \
-			../lib/src/wcssubs3.9.0_montage/hput.o \
-			../lib/src/wcssubs3.9.0_montage/iget.o \
-			../lib/src/wcssubs3.9.0_montage/imhfile.o \
-			../lib/src/wcssubs3.9.0_montage/imio.o \
-			../lib/src/wcssubs3.9.0_montage/lin.o \

=== grid/Makefile ===
all:
	(cd Pegasus         && ./Configure.sh && $(MAKE) && $(MAKE) install)
	(cd Globus/ExecTG   && ./Configure.sh && $(MAKE) && $(MAKE) install)
	(cd Globus/NotifyTG && ./Configure.sh && $(MAKE) && $(MAKE) install)

clean:
	(cd Pegasus         && test ! -e Makefile || $(MAKE) clean)
	(cd Globus/ExecTG   && test ! -e Makefile || $(MAKE) clean)
	(cd Globus/NotifyTG && test ! -e Makefile || $(MAKE) clean)

=== util/Makefile ===
all:
	(cd Calibrate                       && make && make install)
	(cd CatMap       && ./Configure.sh  && make && make install)
	(cd CatSearch                       && make && make install)
	(cd Exec         && ./Configure.sh  && make && make install)
	(cd MovingTarget && ./Configure.sh  && make && make install)
	(cd Pad          && ./Configure.sh  && make && make install)
	(cd Pix2Coord    && ./Configure.sh  && make && make install)
	(cd Rotate       && ./Configure.sh  && make && make install)
	(cd Search       && ./Configure.sh  && make && make install)
	(cd ShrinkHdr    && ./Configure.sh  && make && make install)
	(cd TblExec                         && make && make install)


clean:
	(cd Calibrate    && make clean)
	(cd CatMap       && test ! -e Makefile || make clean)
	(cd CatSearch    && make clean)
	(cd Exec         && test ! -e Makefile || make clean)
	(cd MovingTarget && test ! -e Makefile || make clean)
	(cd Pad          && test ! -e Makefile || make clean)
	(cd Pix2Coord    && test ! -e Makefile || make clean)
	(cd Rotate       && test ! -e Makefile || make clean)
	(cd Search       && test ! -e Makefile || make clean)
	(cd ShrinkHdr    && test ! -e Makefile || make clean)
	(cd TblExec      && make clean)

=== MontageLib/ArchiveExec/Makefile ===
# Filename: Makefile.SunOS

# Version  Developer        Date     Change
# -------  ---------------  -------  -----------------
# 1.0      John Good        15Dec04  Original Makefile

.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS =	-g -I. -I.. -I../../lib/include -fPIC
LIBS   =	-L../../lib -lwcs -lmtbl -lbz2

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mArchiveExec:	mArchiveExec.o montageArchiveExec.o ../ArchiveGet/montageArchiveGet.o
		$(CC) -o mArchiveExec mArchiveExec.o montageArchiveExec.o ../ArchiveGet/montageArchiveGet.o $(LIBS)

install:
		cp mArchiveExec ../../bin

clean:
		rm -f mArchiveExec *.o

=== MontageLib/Background/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 CC     =	gcc
 CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
-LIBS   =	-L../../lib -lmtbl -lwcs -lcfitsio -lnsl -lm
+LIBS   =	-L../../lib -lmtbl -lwcs -lcfitsio -lm
 
 .c.o:
 		$(CC) $(CFLAGS)  -c  $*.c

=== MontageLib/BestImage/Makefile ===
# Filename: Makefile

# Version  Developer        Date     Change
# -------  ---------------  -------  -----------------
# 1.0      John Good        14Feb05  Original Makefile

.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS =	-g -I. -I.. -I../../lib/include -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mBestImage:	mBestImage.o montageBestImage.o \
		../util/checkWCS.o \
		../util/filePath.o \
		../util/debugCheck.o
		$(CC) -o mBestImage \
		mBestImage.o montageBestImage.o \
		../util/checkWCS.o \
		../util/filePath.o \
		../util/debugCheck.o $(LIBS)

install:
		cp mBestImage ../../bin

clean:
		rm -f mBestImage *.o

=== MontageLib/BgModel/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lmtbl -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mBgModel:	mBgModel.o montageBgModel.o
				$(CC) -o mBgModel mBgModel.o montageBgModel.o ../util/debugCheck.o $(LIBS)

install:
		cp mBgModel ../../bin

clean:
		rm -f mBgModel *.o

=== MontageLib/CoverageCheck/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 CC     =	gcc
 CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
-LIBS   =	-L../../lib -lboundaries -lmtbl -lcoord -lwcs -lcfitsio -lnsl -lm
+LIBS   =	-L../../lib -lboundaries -lmtbl -lcoord -lwcs -lcfitsio -lm
 
 .c.o:
 		$(CC) $(CFLAGS)  -c  $*.c

=== MontageLib/Diff/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 CC     =	gcc
 CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
-LIBS   =	-L../../lib -lwcs -lcfitsio -lnsl -lm
+LIBS   =	-L../../lib -lwcs -lcfitsio -lm
 
 .c.o:
 		$(CC) $(CFLAGS)  -c  $*.c

=== MontageLib/DiffExec/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mDiffExec:		mDiffExec.o montageDiffExec.o
		$(CC) -o mDiffExec mDiffExec.o montageDiffExec.o ../Diff/montageDiff.o \
                         ../util/checkHdr.o ../util/checkWCS.o ../util/filePath.o $(LIBS)

install:
		cp mDiffExec ../../bin

clean:
		rm -f mDiffExec *.o

=== MontageLib/FitExec/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwcs -lmtbl -lpixbounds -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mFitExec:		mFitExec.o montageFitExec.o
		$(CC) -o mFitExec mFitExec.o montageFitExec.o ../Fitplane/montageFitplane.o \
                        ../util/checkHdr.o ../util/checkWCS.o ../util/filePath.o ../util/checkFile.o $(LIBS)

install:
		cp mFitExec ../../bin

clean:
		rm -f mFitExec *.o

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/Caltech-IPAC/Montage/tags .*/v?(\d.*)@ARCHIVE_EXT@
